Subject: bug#17926: Menu and tooltip glitches using GTK toolkit

From: Jan Djärv <[email-masked]>
Date: Fri, 04 Jul 2014 17:25:15 +0200

2014-07-04 13:53, Robert Parlett skrev:
>
> No I didn't try emacs with -Q.  Now that I try that I see that the problem is
> somewhat masked by the blinking cursor.  Normally, I don't have a blinking
> cursor - I have (blink-cursor-mode 0) in my init file. When starting with -Q,
> then the cursor blinks, and the redrawing of the blinking cursor obviously
> also causes the missing menus and half-drawn tooltips to be redrawn.  So with
> -Q, I just see a short - but still perceivable - delay before the
> menus/tooltips are drawn correctly.  If I then enter (blink-cursor-mode 0) in
> the scratch buffer, then I see the bug as described originally.

Still don't see it, sorry.  The delay is a Gtk+ feature.

>
> So please try with (blink-cursor-mode 0) and hopefully you will be able to
> reproduce the bug.
>
> I take your point about filing two separate bugs in one report, but the
> missing menu and missing tooltip appear (at least so far as I can see) to
> relate to the same underlying problem, namely a failure to redraw the screen
> correctly.
>
> Regarding the window manager, it is fvwm.  However, I have just tried running
> emacs in Xephyr, without any window manager at all, and the problem still occurs.
>

Gtk+ does not work well without any window manager.  Please try Ubuntus 
default setup, i.e. Unity, and see if it makes any difference.
If you can, try the emacs-24 branch from here:

bzr://bzr.savannah.gnu.org/emacs/emacs-24

	Jan D.